<div class="dropdown">
    <div class="primary"><span>Filter</span><em>▾</em></div>
    <div class="options">
        {% if genre_filter_list %}
            <div class="sub-dropdown">
                <div class="primary"><span>Genre</span><em>▾</em></div>
                <div class="options">
                    {% for genre in genre_filter_list %}
                        <a data-genre="{{ genre.name }}">{{ genre.name }}</a>
                    {% endfor %}
                </div>
            </div>
        {% endif %}

        {% if cost_filter_list %}
            <div class="sub-dropdown">
                <div class="primary"><span>Cost</span><em>▾</em></div>
                <div class="options">
                    {% for cost in cost_filter_list %}
                    <a data-cost="{{ cost.filter }}">{{ cost.label }}</a>
                    {% endfor %}
                </div>
            </div>
        {% endif %}

        {% if hours_filter_list %}
            <div class="sub-dropdown">
                <div class="primary"><span>Hours</span><em>▾</em></div>
                <div class="options">
                    {% for hours in hours_filter_list %}
                        <a data-hours="{{ hours.filter }}">{{ hours.label }}</a>
                    {% endfor %}
                </div>
            </div>
        {% endif %}

        {% if rating_filter_list %}
            <div class="sub-dropdown">
                <div class="primary"><span>Enjoyment</span><em>▾</em></div>
                <div class="options">
                    {% for rating in rating_filter_list %}
                        <a data-rating="{{ rating.filter }}">{{ rating.label }}</a>
                    {% endfor %}
                </div>
            </div>
        {% endif %}

        {% if finished_filter_list %}
            <div class="sub-dropdown">
                <div class="primary"><span>Finished</span><em>▾</em></div>
                <div class="options">
                    {% for finish in finished_filter_list %}
                        <a data-finished="{{ finish }}">{{ finish }}</a>
                    {% endfor %}
                </div>
            </div>
        {% endif %}

        {% if group_tag_list %}
        <hr>
        {% endif %}

        {% for group, tag_list in group_tag_list %}
            {% if group %}
                <div class="sub-dropdown">
                    <div class="primary"><span>{{ group }}</span><em>▾</em></div>
                    <div class="options">
                        {% for tag in tag_list %}
                            <a data-tag-name="{{ tag.qualified_name }}">{{ tag.name }}</a>
                        {% endfor %}
                        <hr>
                        <a data-untag-name="{{ group }} / No Tag">No Tag</a>
                    </div>
                </div>
            {% else %}
                {% for tag in tag_list %}
                    <a data-tag-name="{{ tag.name }}">{{ tag.name }}</a>
                {% endfor %}
            {% endif %}
        {% endfor %}
    </div>
</div>
